Get Comment
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/comments/:commentId \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replyke.com/api/v6/:projectId/comments/:commentId"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replyke.com/api/v6/:projectId/comments/:commentId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comment": {
"id": "<string>",
"entityId": "<string>",
"content": "<string>",
"createdAt": "<string>"
},
"parentComment": {}
}Comment Endpoints
Get Comment
Fetch a single comment by its ID
Get Comment
Fetches a single comment by its ID. Optionally returns the parent comment if it exists and
withParent=true is passed.
Path Parameters
string
required
The ID of the comment to fetch
Query Parameters
string
If
true, includes the parent comment in the responseResponse
object
object
Parent comment object (null if no parent or
withParent not set)Error Responses
Missing or Invalid ID - 400 Bad Request
Missing or Invalid ID - 400 Bad Request
{
"error": "Missing a valid comment ID in request query",
"code": "comment/invalid-request"
}
Not Found - 404 Not Found
Not Found - 404 Not Found
{
"error": "Comment not found",
"code": "comment/not-found"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "comment/server-error",
"details": "[error message]"
}
Notes
- Set
withParent=trueto retrieve the parent comment if it exists. - Returns
parentComment: nullif the comment has no parent orwithParentis not set.

